package com.microservices.zone.resource.mapper;

import com.microservices.zone.resource.domain.ZoneResource;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 特色专区资源聚合Mapper接口
 *
 * @author otto
 * @date 2023-06-27
 */
@Mapper
public interface ZoneResourceMapper {
    /**
     * 查询特色专区资源聚合
     *
     * @param id 特色专区资源聚合主键
     * @return 特色专区资源聚合
     */
    public ZoneResource selectZoneResourceById(Long id);

    /**
     * 查询特色专区资源聚合列表
     *
     * @param zoneResource 特色专区资源聚合
     * @return 特色专区资源聚合集合
     */
    public List<ZoneResource> selectZoneResourceList(ZoneResource zoneResource);

    /**
     * 新增特色专区资源聚合
     *
     * @param zoneResource 特色专区资源聚合
     * @return 结果
     */
    public int insertZoneResource(ZoneResource zoneResource);

    /**
     * 修改特色专区资源聚合
     *
     * @param zoneResource 特色专区资源聚合
     * @return 结果
     */
    public int updateZoneResource(ZoneResource zoneResource);

    /**
     * 删除特色专区资源聚合
     *
     * @param id 特色专区资源聚合主键
     * @return 结果
     */
    public int deleteZoneResourceById(Long id);

    /**
     * 批量删除特色专区资源聚合
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZoneResourceByIds(Long[] ids);

    /**
     * 通过名称查询资源
     *
     * @param name
     * @param zoneId
     * @return
     */
    ZoneResource selectZoneResourceByNameAndZoneId(@Param("name") String name, @Param("zoneId") Long zoneId);

    /**
     * 获取资源数量
     *
     * @param zoneResource
     * @return
     */
    Integer selectZoneResourceCount(ZoneResource zoneResource);

    /**
     * 获取所有专区资源
     *
     * @return
     */
    List<ZoneResource> selectAllZoneResourceList();

    /**
     * 通过专区Id删除资源
     *
     * @param zoneId 专区Id
     */
    void deleteZoneResourceByZoneId(Long zoneId);
}
